//+------------------------------------------------------------------+
//|                                                 Stop Hunting.mq4 |
//|                      Copyright  2008, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_chart_window

extern int levels=10;

int init() {

  RefreshRates();
  
  double bb=NormalizeDouble(Bid,Digits-2);

  for(int i=-levels;i<levels;i++) {
  
   string name="lrlb"+i;
   
   if(ObjectFind(name)==-1) {
    ObjectCreate(name,OBJ_HLINE,0,0,0,0);
   }
  
   ObjectSet(name,OBJPROP_PRICE1,bb+i*100*Point+0.0015);
   ObjectSet(name,OBJPROP_COLOR,DarkGreen);
   ObjectSet(name,OBJPROP_STYLE,STYLE_DOT);
  

}

  RefreshRates();
  
  double aa=NormalizeDouble(Bid,Digits-2);

   {
  
   string name1="lrla"+i;
   
   if(ObjectFind(name1)==-1) {
    ObjectCreate(name1,OBJ_HLINE,0,0,0,0);
   }
  
   ObjectSet(name1,OBJPROP_PRICE1,aa+i*100*Point-0.0015);
   ObjectSet(name1,OBJPROP_COLOR,DarkGreen);
   ObjectSet(name1,OBJPROP_STYLE,STYLE_DOT);
  
  } 

  return(0);
}

int deinit() {

   for(int i=-levels;i<levels;i++) {
    ObjectDelete("lrlb" + i);
   }



    {
    ObjectDelete("lrla" + i);
   }

   return(0);
}
int start() {
   init();
   return(0);
}


